<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Driver Earning Feedback
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body">
       -->
       <div class="container">
    <div class="row">
    <div class="col-sm-3"></div>

    <div class="col-sm-6">
        <mat-toolbar color="primary">Payment Confirmation</mat-toolbar>
      <mat-card class="example-card">

        <mat-card-content>
      <form [formGroup]="earningForm" (ngSubmit)="onSubmit()">

        <!-- <div class="form-group">
              <label for="driverId">Driver</label>
                <input
                  type="text"
                  list="dataList"
                  formControlName="driverId"
                  class="form-control"
                  placeholder="Type to select Driver"
                  >
                <datalist id="dataList">
                  <option *ngFor="let driver of driverList" value="{{ driver.driverId}}">{{ driver.driver_name}}</option>
                </datalist>
                <div *ngIf="earningForm.get('driverId').invalid && earningForm.get('driverId').touched" class="alert alert-danger">

                  <div *ngIf="earningForm.get('driverId').errors.required">
                    Driver is required.
                  </div>
                </div>
        </div> -->

        <mat-form-field class="form-group">
          <mat-label>Driver</mat-label>
          <input matInput list="dataList" formControlName="driverId" class="formControl"/>
          <datalist id="dataList">
            <option *ngFor="let driver of driverList" value="{{ driver.driverId}}">{{ driver.driver_name}}</option>
          </datalist>

          <mat-error *ngIf="!earningForm.get('driverId').valid"
            >Driver is required</mat-error
          >
        </mat-form-field>

        <!-- <div class="form-group">
          <label for="amount">Amount<sup class="req">*</sup></label>
          <input
              type="number"
              min="1"
              step="1"
              formControlName="amount"
              class="form-control"
              placeholder="Enter Amount">
              <div *ngIf="earningForm.get('amount').invalid && earningForm.get('amount').touched"
              class="alert alert-danger">

              <div *ngIf="earningForm.get('amount').errors.required">
                Amount is required.
              </div>
              <div *ngIf="earningForm.get('amount').errors.min">
                Only Positive Numbers are accepted.
              </div>
            </div>
        </div>

        <span
              *ngIf="!earningForm.valid && earningForm.touched"
              class="help-block">Please fill all the required fields</span><br>
              <br *ngIf="!earningForm.valid && earningForm.touched"> -->

              <mat-form-field class="form-group">
                <mat-label>Enter Amount
                  </mat-label>
                <input matInput   formControlName="amount" class="formControl"/>
                <!-- <mat-autocomplete #auto="matAutocomplete">
                    <mat-option *ngFor="let driver of driverList" value =" {{ driver.driverId}} ">
                      {{ driver.driverId }}
                    </mat-option>
                  </mat-autocomplete> -->
                <!-- <datalist id="dataList">
                  <option *ngFor="let driver of driverList" value="{{ driver.driverId}}">{{ driver.driver_name}}</option>
                </datalist> -->

                <mat-error *ngIf="!!earningForm.get('amount').hasError('required')"
                  >Amount is required</mat-error
                >
                <mat-error *ngIf="!!earningForm.get('amount').hasError('min') || !!earningForm.get('amount').hasError('pattern')" >
                  Only Positive Numbers are accepted.
                </mat-error>
              </mat-form-field>
              

              <div class="row">
                <div class="col-sm-4 col-md-4 col-lg-4"></div>
                <div class="col-sm-4 col-md-4 col-lg-4"></div>
                <div class="col-sm-4 col-md-4 col-lg-4">
          <button mat-raised-button color="primary"
           type="submit"
           [disabled]="earningForm.invalid">Submit</button></div></div>
      </form>
    </mat-card-content>
  </mat-card>

</div>
<div class="col-sm-3"></div>
</div></div>
    <!-- </div>
  </div>
</div> -->
